Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.tool
Class HttpManager

    java.lang.Object
      com.sun.javatest.tool.CommandManager
          com.sun.javatest.tool.HttpManager

    public class HttpManager

extends CommandManager

A tool manager to handle the command line options for starting an HTTP server to monitor JT Harness's progress while executing tests. The supported options are:

- `-startHttp`: start an HTTP server

Constructor Summary
`HttpManager()`

Method Summary
`HelpTree.Node` | `getHelp()` Get an object embodying the command line help for the commands managed by this CommandManager.
`boolean` | `parseCommand(java.lang.String cmd, java.util.ListIterator argIter, CommandContext ctx)` Parse a command (and any arguments it might take).

Methods inherited from class com.sun.javatest.tool.CommandManager
`isMatch, isMatch, isPrefixMatch`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HttpManager

    public HttpManager()

Method Detail

### getHelp

    public HelpTree.Node getHelp()

  Description copied from class: `CommandManager`
  Get an object embodying the command line help for the commands managed by this CommandManager.

  Specified by:
    `getHelp` in class `CommandManager`
  Returns:
    an object embodying the command line help for the commands managed by this CommandManager

### parseCommand

    public boolean parseCommand(java.lang.String cmd,
                                java.util.ListIterator argIter,
                                CommandContext ctx)
                         throws Command.Fault

  Description copied from class: `CommandManager`
  Parse a command (and any arguments it might take).

  Specified by:
    `parseCommand` in class `CommandManager`
  Parameters:
    `cmd` - the command to be parsed
    `argIter` - an iterator from which to get any arguments that might be required by the option
    `ctx` - a context object to use while parsing the command
  Returns:
    true if the command is recognized and successfully parsed, or false if the command is not recognized by this command manager
  Throws:
    `Command.Fault` - if the command is recognized by this command manager but could not be successfully parsed or otheriwse handled.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.